<div class="plusIcon" id="addAsset">
    <a href="#" onclick="return false;" class="btn-floating btn-lg red waves-effect waves-light plus"><i
            id="addAssetFabIcon" class="fa fa-plus"></i></a>
</div>

<div class="assetList" *ngIf=" assetTypesWithLabelsData && assetTypesWithLabelsData.length>0">
    <div>
            <div data-toggle="modal" data-target="#driver-Slider" data-backdrop="static" data-keyboard="false"
                 class="launch-modal" style="  ">
                <a href="#" onclick="return false;" data-toggle="tooltip" title="Add {{assetTypesWithLabelsData[0].label}}"
                   data-placement="left"
                   class="btn-floating btn-sm waves-effect waves-light plus"
                   [ngStyle]="{'background-color':getBackgroundColorLeftCard(assetTypesWithLabelsData[0].type) }"
                   (click)="assetSelected(assetTypesWithLabelsData[0].type)">
                    <img [src]="getIcon(assetTypesWithLabelsData[0].type)" alt=""/></a>
            </div>
                <div data-toggle="modal" data-target="#driver-Slider" data-backdrop="static" data-keyboard="false"
                     class="launch-modal" style="  ">
                    <a href="#" onclick="return false;" data-toggle="tooltip" title="Add {{assetTypesWithLabelsData[1].label}}"
                       data-placement="left"
                       class="btn-floating btn-sm waves-effect waves-light plus"
                       [ngStyle]="{'background-color':getBackgroundColorLeftCard(assetTypesWithLabelsData[1].type) }"
                       (click)="assetSelected(assetTypesWithLabelsData[1].type)">
                        <img [src]="getIcon(assetTypesWithLabelsData[1].type)" alt=""/></a>
                </div>

                    <div data-toggle="modal" data-target="#driver-Slider" data-backdrop="static" data-keyboard="false"
                         class="launch-modal" style="  ">
                        <a href="#" onclick="return false;" data-toggle="tooltip" title="Add {{assetTypesWithLabelsData[2].label}}"
                           data-placement="left"
                           class="btn-floating btn-sm waves-effect waves-light plus"
                           [ngStyle]="{'background-color':getBackgroundColorLeftCard(assetTypesWithLabelsData[2].type) }"
                           (click)="assetSelected(assetTypesWithLabelsData[2].type)">
                            <img [src]="getIcon(assetTypesWithLabelsData[2].type)" alt=""/></a>
                    </div>


                        <div data-toggle="modal" data-target="#driver-Slider" data-backdrop="static" data-keyboard="false"
                             class="launch-modal" style="  ">
                            <a href="#" onclick="return false;" data-toggle="tooltip" title="Add {{assetTypesWithLabelsData[3].label}}"
                               data-placement="left"
                               class="btn-floating btn-sm waves-effect waves-light plus"
                               [ngStyle]="{'background-color':getBackgroundColorLeftCard(assetTypesWithLabelsData[3].type) }"
                               (click)="assetSelected(assetTypesWithLabelsData[3].type)">
                                <img [src]="getIcon(assetTypesWithLabelsData[3].type)" alt=""/></a>
                        </div>

    </div>
</div>


<div class="modal fade right" id="driver-Slider" tabindex="-1" role="dialog" style="overflow: auto">
    <div class="modal-dialog modal-lg  modal-lg   form-modal" role="document">
        <div class="modal-content">
            <div class="modal-header" style="background:#7986CB">
                <button type="button" class="close closeColor" id="modal-close" data-dismiss="modal"><span
                        aria-hidden="true">&times;</span></button>
                <h4 class="modal-title uppercase">ADD {{assetSelectedFromList}}</h4>
            </div>

            <div class="modal-body">
                <div   *ngIf="assetSelectedFromList==='Vehicle'">
                    <app-vechicle-asset-from></app-vechicle-asset-from>

                </div>

                <div    *ngIf="assetSelectedFromList==='Lesser'">
                    <app-lesser-asset-from ></app-lesser-asset-from>
                </div>


                <div    *ngIf="assetSelectedFromList==='Company'">
                    <app-company-asset-from></app-company-asset-from>
                </div>

                 <div    *ngIf="assetSelectedFromList==='Driver'">
                                <app-driver-asset-from (assetToAdd)="assetTypeToAdd($event)"></app-driver-asset-from>
                            </div>

            </div>

        </div>
    </div>
</div>




